#
# Conditional build:
%bcond_without	doc	# don't build doc
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		svgwrite
%define		egg_name	svgwrite
%define		pypi_name	svgwrite
Summary:	Python 2 library to create SVG drawings
Name:		python-%{pypi_name}
Version:	1.3.1
Release:	7
License:	MIT
Group:		Libraries/Python
Source0:	https://github.com/mozman/svgwrite/archive/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	a3d9311578538ba5acd6bb98d14cae38
URL:		https://github.com/mozman/svgwrite
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-pyparsing
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-pyparsing
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 2 library to create SVG drawings.

%package -n python3-%{pypi_name}
Summary:	Python 3 library to create SVG drawings
Requires:	python3-pyparsing
Requires:	python3-setuptools

%description -n python3-%{pypi_name}
Python 3 library to create SVG drawings.

%prep
%setup -q -n %{pypi_name}-%{version}

# test is hosed and fails on the order of attr in a tag
%{__rm} tests/test_pretty_xml.py
# needs network access
%{__rm} tests/test_style.py

%build
%py3_build
%py_build

%if %{with tests}
%{__python3} -m unittest discover -s tests
%{__python} -m unittest discover -s tests
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py3_install
%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc NEWS.rst README.rst LICENSE.TXT
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{egg_name}-%{version}-py%{py_ver}.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc NEWS.rst README.rst LICENSE.TXT
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{pypi_name}-%{version}-py%{py3_ver}.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-svgwrite.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3668693
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 113a1e3
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ed6e7f0
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 617f6da
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 96b3c7e
- release 3 (by relup.sh)

* Tue Nov 05 2019 Jan Rękorajski <baggins@pld-linux.org> 36a44a9
- disable one more test
- rel 2

* Tue Nov 05 2019 Jan Rękorajski <baggins@pld-linux.org> fce7743
- up to 1.3.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f7838f4
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f39060
- release 2 (by relup.sh)

* Sat Nov 18 2017 Elan Ruusamäe <glen@pld-linux.org> 4cbbd4d
- new, version 1.1.11

